org.gradle.api.artifacts.transform

## Interface ArtifactTransformRegistrations

-     @Incubating
      public interface ArtifactTransformRegistrations

  Registry for artifact transforms.
  Since:
    3.4

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerTransform(Class<? extends ArtifactTransform> type, Action<? super ArtifactTransform> config)` Register an artifact transformation.

- - ### Method Detail

    - #### registerTransform

          @Incubating
          void registerTransform(Class<? extends ArtifactTransform> type,
                                          Action<? super ArtifactTransform> config)

      Register an artifact transformation.
      Parameters:
        `type` - implementation type of the artifact transformation
        `config` - a configuration action
      See Also:
        `ArtifactTransform`